Skip to main content
`Ctrl`+`K`

# EPSMonitorConvergedDrawLG

Plots the number of converged eigenvalues at each iteration of the eigensolver.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSMonitorConvergedDrawLG(EPS eps,PetscInt its,PetscInt nconv,PetscScalar eigr[],PetscScalar eigi[],PetscReal errest[],PetscInt nest,PetscViewerAndFormat *vf)

Collective

## Input Parameters

- eps - the linear eigensolver context

- its - iteration number

- nconv - number of converged eigenpairs so far

- eigr - real part of the eigenvalues

- eigi - imaginary part of the eigenvalues

- errest - error estimates

- nest - number of error estimates to display

- vf - viewer and format for monitoring

## Options Database Key

- -eps_monitor_conv draw::draw_lg - activates `EPSMonitorConvergedDrawLG()`

## Notes

This is not called directly by users, rather one calls `EPSMonitorSet()`, with this function as an argument, to cause the monitor to be used during the `EPS` solve.

Call `EPSMonitorConvergedDrawLGCreate()` to create the context used with this monitor.

## See Also

EPS: Eigenvalue Problem Solver, `EPSMonitorSet()`, `EPSMonitorConvergedDrawLGCreate()`

## Level

intermediate

## Location

src/eps/interface/epsmon.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages